/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.common.util;

import junit.framework.TestCase;

/**
 * 汎用キャッシュクラスのテストケース
 * @author satoshi akabane@logical-paradox.org
 * @version 1.0
 */
public class CacheTest extends TestCase {
	public void testAdd() {
		Cache cache = new Cache(2);
		Object o1 = new String("あああ");
		Object o2 = new String("いいい");
		Object o3 = new String("ううう");
		
		assertNull(cache.add(o1));
		assertNull(cache.add(o2));
		assertEquals(o1, cache.add(o3));
	}
}
